### Webserver ###

org.osgi.service.http.port=8080
org.apache.felix.http.enable=true
# Session timeout in minutes. Specify 0 for no timeout.
org.apache.felix.http.session.timeout=0
## HTTPS ##
org.osgi.service.http.port.secure=8443
# To enable HTTPS set this to "true"
org.apache.felix.https.enable=false
# The **Keystore Password** (as entered in the `keytool`)
org.apache.felix.https.keystore.password=
# The **Key Password** (as entered in the `keytool`)
org.apache.felix.https.keystore.key.password=

### Webservice ###

# Only these 2 values are supported:
#     /     For use with Apache Felix HTTP (the default)
#     /*    For use with OPS4J Pax Web
dm4.webservice.path=/

### Security ###

# Coarse request filter: if true GET requests are allowed only for authenticated users.
# The default is false.
dm4.security.read_requires_login=false

# Coarse request filter: if true POST, PUT, DELETE requests are allowed only for authenticated users.
# The default is true.
dm4.security.write_requires_login=true

# Coarse request filter: requests are allowed from this subnet only.
# An address range denoted by network number and netmask.
# To allow local access only specify "127.0.0.1/32". This is the default.
# To allow global access specify "0.0.0.0/0".
dm4.security.subnet_filter=127.0.0.1/32

# If true newly created user accounts are enabled instantly. This is the default.
# If false user accounts must be manually enabled by an administrator (using the Webclient).
dm4.security.new_accounts_are_enabled=true

### Host ###

dm4.host.url=http://localhost:8080/

### Database ###

dm4.database.path=deepamehta-db

### File Repository ###

# The file repository's base path: an absolute path leading to a directory, *no* slash at the end.
# This directory must exist. To enable the entire file system specify "/". This is the default.
dm4.filerepo.path=/

# Set to "true" to put the file repository under access control.
# DM then creates a separate file repository for each workspace beneath the base path.
# This allow for e.g. private and collaborative file repositories.
# If set to "false" (the default) there is one big public file repository shared by all users.
dm4.filerepo.per_workspace=false

# Standard disk quota (for file uploads) allocated to each user (in MB).
# Note: individual (per-user) disk quotas can be configured by an administrator (using the Webclient).
dm4.filerepo.disk_quota=150

### Logging ###

java.util.logging.config.file=conf/logging.properties
felix.log.level=1

### Encoding ###

file.encoding=UTF-8

### OSGi Runtime ###

org.osgi.framework.storage=bundle-cache
felix.fileinstall.dir=bundle-deploy
felix.auto.deploy.action=install,start
